Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.delegate
Interface DelegateMediator

All Known Implementing Classes:
  AbstractDelegateMediator, DefaultDelegateMediator, FocusTrackingDelegateMediator

    public interface DelegateMediator

Used by `DelegatingCommand` instances to find their delegates.

DelegateMediator instances are applied to CommandContainers using `CommandContainer.setDelegateMediator(DelegateMediator)`. Delegating commands bound to that container (or any of its children) are notified and update accordingly.

The most common implementation is `FocusTrackingDelegateMediator` although you can extend either `AbstractDelegateMediator` or `DefaultDelegateMediator` if you require more specialised behaviour.

Method Summary
`void` | `addDelegateMediatorListener(DelegateMediatorListener listener)` Adds the specified listener
`ActionCommandExecutor` | `getExecutor(java.lang.String id)` Searches the container hierarchy and gets the first executor it finds.
`void` | `removeDelegateMediatorListener(DelegateMediatorListener listener)` Removes the specified listener.

Method Detail

### getExecutor

    ActionCommandExecutor getExecutor(java.lang.String id)

  Searches the container hierarchy and gets the first executor it finds.

  Parameters:
    `id` - the id to search for.
  Returns:
    the first executor in the container hierarchy or `null` if none exists.

### addDelegateMediatorListener

    void addDelegateMediatorListener(DelegateMediatorListener listener)

  Adds the specified listener

  Parameters:
    `listener` - the listener to add.

### removeDelegateMediatorListener

    void removeDelegateMediatorListener(DelegateMediatorListener listener)

  Removes the specified listener.

  Parameters:
    `listener` - the listener to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch